# Class: Cubic

## Phaser.Easing. Cubic

#### new Cubic()

  Cubic easing.

  Source:
    - tween/Easing.js, line 87

### Methods

#### In(k) → {number}

  Cubic ease-in.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 94

  ##### Returns:

  The tweened value.

  Type
    number

#### InOut(k) → {number}

  Cubic ease-in/out.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 120

  ##### Returns:

  The tweened value.

  Type
    number

#### Out(k) → {number}

  Cubic ease-out.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 107

  ##### Returns:

  The tweened value.

  Type
    number